<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddRouteGroupReq StructType
 * @subpackage Structs
 */
class AddRouteGroupReq extends APIRequest
{
    /**
     * The routeGroup
     * @var XRouteGroup
     */
    public $routeGroup;
    /**
     * Constructor method for AddRouteGroupReq
     * @uses AddRouteGroupReq::setRouteGroup()
     * @param XRouteGroup $routeGroup
     */
    public function __construct(XRouteGroup $routeGroup = null)
    {
        $this
            ->setRouteGroup($routeGroup);
    }
    /**
     * Get routeGroup value
     * @return XRouteGroup|null
     */
    public function getRouteGroup()
    {
        return $this->routeGroup;
    }
    /**
     * Set routeGroup value
     * @param XRouteGroup $routeGroup
     * @return AddRouteGroupReq
     */
    public function setRouteGroup(XRouteGroup $routeGroup = null)
    {
        $this->routeGroup = $routeGroup;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddRouteGroupReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
